<p align="center">
 <img alt="Logo dark mode" src="_static/images/logo-horizontal-transparent.png#only-dark" width="50%" />
 <img alt="Logo light mode" src="_static/images/BAAL-horizontal-logo-black.png#only-light" width="50%"/>
</p>


Baal is a Bayesian active learning library.
We provide methods to estimate sampling from the posterior distribution
in order to maximize the efficiency of labelling during active learning. Our library is suitable for research and industrial applications.

To know more on what is Bayesian active learning, see our [User guide](user_guide/index.md).

We are a member of Pytorch's ecosystem, and we welcome contributions from the community.
If you have any question, we are reachable on [Slack](https://join.slack.com/t/baal-world/shared_invite/zt-z0izhn4y-Jt6Zu5dZaV2rsAS9sdISfg).

## Installation

Baal is available as a package on PyPI:

`pip install baal`

??? "Additional dependencies for vision and NLP"
    
    `baal[nlp]` installs needed dependencies for HuggingFace support.

    `baal[vision]` installs dependencies for our Lightning-Flash integration.


## Support

For support, we have several ways to help you:

* Our [:material-help: FAQ](support/faq.md)
* Submit an issue on Github [here](https://github.com/baal-org/baal/issues/new/choose)
* Join our [:material-slack: Slack](https://join.slack.com/t/baal-world/shared_invite/zt-z0izhn4y-Jt6Zu5dZaV2rsAS9sdISfg)!
