# Tutorials

Tutorials are split in two sections, "How-to" and "Compatibility". The first one focuses on Baal's capabilities and the
latter on how we integrate with other common frameworks such as Label Studio, HuggingFace or Lightning Flash.

## :material-file-tree: How to

* [Run an active learning experiments](notebooks/active_learning_process.ipynb)
* [Active learning in production](notebooks/baal_prod_cls.ipynb)
* [Deep Ensembles](../notebooks/deep_ensemble.ipynb)

## :material-file-tree: Compatibility

* [:material-link: Lightning Flash](https://devblog.pytorchlightning.ai/active-learning-made-simple-using-flash-and-baal-2216df6f872c)
* [HuggingFace](../notebooks/compatibility/nlp_classification.ipynb)
* [Scikit-Learn](../notebooks/compatibility/sklearn_tutorial.ipynb)
* [Label Studio](./label-studio.md)